class InventoryMovementType {
    String name
    String description = ""
    boolean incrementsInventory = false
    boolean isActive = true

    static hasMany = [inventoryMovements: InventoryMovement]

    static contstraints = {
        name(maxSize:50,unique:true,blank:false)
        description(maxSize:100)
        incrementsInventory()
        isActive()
    }

    String toString() {
        "${this.name}"
    }
}
